> For the complete documentation index, see [llms.txt](https://docs.irrevocable.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.irrevocable.dev/sdk-reference/instantiate-circuit.md).

# Instantiate Circuit

### Instantiate SDK:

{% hint style="info" %}
Minting a PKP requires an ethers signer with LIT Tokens on the <mark style="background-color:yellow;">Chronicle Lit Rollup network</mark>. If you only need to generate Lit Action code then an ethers signer object is not necessary.
{% endhint %}

{% code overflow="wrap" fullWidth="true" %}

```typescript
import { ethers } from "ethers";
import { Circuit } from "lit-listener-sdk";

const chronicleProvider = new ethers.providers.JsonRpcProvider("https://chain-rpc.litprotocol.com/http", 175177);
const chronicleSigner = new ethers.Wallet(YOUR_PRIVATE_KEY, chronicleProvider);

const newCircuit = new Circuit(chronicleSigner);
```

{% endcode %}

The `signer` is an optional constructor parameter. If you are minting a PKP then you must set a `signer` with a Provider compatible with the Lit Chronicle Network, you can use the standard RPC URL found [here](https://developer.litprotocol.com/intro/rollup/#connecting-to-chronicle). You can also optionally pass in the PKP Contract to mint from if it is not `0x8F75a53F65e31DD0D2e40d0827becAaE2299D111`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.irrevocable.dev/sdk-reference/instantiate-circuit.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
